Bug 11309 - warzone segfault-ится на x86_64
: warzone segfault-ится на x86_64
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/warzone2100)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-04-02 11:41 by
Modified: 2008-06-13 12:16 (History)


Attachments
starce-log (121.79 KB, application/x-tbz)
2007-04-11 12:58, Serge Polkovnikov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-02 11:41:54
Выскакивает заставка, потом видимо читаются конфиги, потом сегфолт...
К сожалению забыл захватить лог strace.
Удаление папки с конфигами не помогает.
------- Comment #1 From 2007-04-05 16:52:27 -------
Работоспособность warzone на 64-битной архитектуре пока под большим вопросом. В
сборке 2.0.5-alt2 была обеспечена собираемость пакета для x86_64 и, таким
образом, возможность тестирования работоспособности. Сегодня в Сизиф должна
попасть сборка 2.0.6-alt1. Проверьте, пожалуйста, ее.
------- Comment #2 From 2007-04-10 18:05:30 -------
warzone 2.0.6 уже в сизифе. Она не решила проблему?
------- Comment #3 From 2007-04-11 12:58:03 -------
Created an attachment (id=1900) [details]
starce-log
------- Comment #4 From 2007-04-11 13:00:11 -------
Не, не решила:( См. аттач
------- Comment #5 From 2007-04-13 14:56:49 -------
Тогда остаётся только ждать версии 2.1 - цитирую разработчиков с форума
warzone:

"Neither 2.0.6 nor any 2.0 will support 64bit natively. The amount of code
changes that might have lead to WZ not crashing instantly are simply to big to
be backported to the 2.0 branch.
2.1 will, but till we'll release it there will be several months passing by."

Я закрою этот баг как WONTFIX. Есть вариант - отключить сборку warzone для
x86_64, но это помешает тестированию работоспособности 64-битных сборок
следующих версий игры...
------- Comment #6 From 2007-04-13 16:16:03 -------
Для версии которая пойдет в новый Мастер сборку для х86_64 лучше отключить. А в 
дальнейшем в сизифе можно будет включить её снова.
------- Comment #7 From 2007-04-13 16:29:58 -------
Тогда багу не закрываем, чтобы ближе к Мастеру посмотреть на состояние дел.
Сейчас делать сборку для отключения x86_64 не вижу смысла, только лишний трафик
создавать. До фриза к Мастеру может еще не одна версия выйти...
------- Comment #8 From 2007-11-12 16:24:04 -------
Резюме: это не баг уровня ментейнера пакета. Пока апстрим не готов обеспечить
работоспособность 64-битной сборки игры мы ничего сделать не можем. Апстрим же
о
проблеме знает. Если проект не заглохнет, у апстрима будет время, желания итд,
то когда-нибудь 64-битная сборка будет рабочей. Сейчас же смысла держать
багрепорт открытым не вижу...